#!/bin/sh

#Make
if ! make -h > /dev/null; then
	echo "[FAILED] Make is not installed..."
	exit 1

fi

#Git
if git > /dev/null; then
	echo "[FAILED] Git is not installed..."
	exit 1

fi

#Texinfo
if ! makeinfo -h > /dev/null; then
	echo "[FAILED] Texinfo is not installed..."
	exit 1

fi

#C
out_name=$(mktemp XXXXXX)

echo "#include <stdio.h>" >> test.c
echo "int main(void){return 0;}" >> test.c

$CC test.c -o $out_name
chmod +x $out_name
rm test.c

if ! ./$out_name; then
	echo "[FAILED] Fix c compiler or headers..."
	rm $out_name
	exit 1

fi

exit 0
